FullTextIndexLookupFactoryService
Date: 2013-02-17

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.indexmanagement.fulltextindexlookup
Class FullTextIndexLookupFactoryService

    java.lang.Object
      GCUBEPortType
          org.gcube.indexmanagement.fulltextindexlookup.FullTextIndexLookupFactoryService

    public class FullTextIndexLookupFactoryService

extends GCUBEPortType

FullTextIndexLookupFactoryService creates FullTextIndexLookupService instances and return references to the created objects.

Version:
  0.1

Constructor Summary
`FullTextIndexLookupFactoryService()`

Method Summary
`CreateResourceResponse` | `createPartition(CreatePartition request)` Creates an instance of the FullTextIndexLookupResource class and returns a reference to it.
`CreateResourceResponse` | `createResource(CreateResource request)` Creates an instance of the FullTextIndexLookupResource class and returns a reference to it

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FullTextIndexLookupFactoryService

    public FullTextIndexLookupFactoryService()

Method Detail

### createResource

    public CreateResourceResponse createResource(CreateResource request)
                                          throws GCUBEFault

  Creates an instance of the FullTextIndexLookupResource class and returns a reference to it

  Parameters:
    `request` - `CreateResource` - Object containing the epr of the `FullTextIndexManagementService` the new resource should be connected to.
  Returns:
    `CreateResourceResponse` - object containing the epr of the created FullTextIndexLookupResource instance
  Throws:
    `GCUBEFault`
  See Also:
    `org.gcube.indexmanagement.fulltextindexmanagement.stubs.FullTextIndexManagementFactoryPortType`

### createPartition

    public CreateResourceResponse createPartition(CreatePartition request)
                                           throws GCUBEFault

  Creates an instance of the FullTextIndexLookupResource class and returns a reference to it. This method is used to create FullTextIndexLookupResource instances for a partitioned index replication.

  Parameters:
    `request` - `CreateResource` - Object containing the epr of the `FullTextIndexManagementService` the new resource should be connected to.
  Returns:
    `CreateResourceResponse` - object containing the epr of the created FullTextIndexLookupResource instance, along with an indicator of whether the new resource is a head partition or not, and the starting point and end point (delta file number/idx) of the index.
  Throws:
    `GCUBEFault`
  See Also:
    `org.gcube.indexmanagement.fulltextindexmanagement.stubs.FullTextIndexManagementFactoryPortType`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD